JCF-DUMP(1)

NAME
jcf-dump - print information about Java class files

SYNOPSIS
jcf-dump [-c] [--javap]
    [--classpath=path] [--CLASSPATH=path]
    [-Idir...] [-o file]
    [--version] [--help] [-v] [--verbose]
    classname...

DESCRIPTION
This is a class file examiner, similar to "javap". It will print information about a number of classes, which are specifed by class name or file name.

OPTIONS
Disassemble method bodies. By default method bodies are not printed. Generate output in "javap" format. The implementation of this feature is very incomplete. These options as the same as the corresponding gcj options. Print help, then exit. Print version number, then exit. Print extra information while running.

SEE ALSO
gcc(1), gcj(1), gcjh(1), gij(1), jcf-dump(1), gfdl(7), and the Info entries for gcj and gcc.

COPYRIGHT
Copyright (C) 2001, 2002 Free Software Foundation, Inc.

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1 or any later version published by the Free Software Foundation; with the Invariant Sections being ``GNU General Public License'', the Front-Cover texts being (a) (see below), and with the Back-Cover Texts being (b) (see below). A copy of the license is included in the man page gfdl(7).